Ubuntu

Maverick could not load /lib/modules/2.6.35-22-generic/modules.dep

Reported by Mauro D'Aloisio on 2010-09-18
This bug affects 262 people
Affects Status Importance Assigned to Milestone
Linux
Confirmed
Undecided
Pöbelgott
linux (Ubuntu)
Medium
Andy Whitcroft
Maverick
Low
Andy Whitcroft

Bug Description

When I turn on my computer I can read this on my screen

"modprobe: Fatal: Could not load /lib/modules/2.6.35-22-generic/modules.dep: no such file or directory"

After 4-5 seconds, plymouth starts and the system works fine.

salve, ho lo stesso problema, mi chiede la psw del portachiavi e poi rimane con lo schermo nero..ed è impossibile lavorare...! grazie

hi, I have the same problem, I asked the psw keychain and then left with a black screen .. and it is impossible to work ...! thanks

Mauro D'Aloisio (maurodaloisio) wrote :
Omer Akram (om26er) wrote :

this started with linux-image-2.6.35-21-generic and persists with 2.6.35-22

affects: ubuntu → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Bernhard (b.a.koenig) wrote :

I think it's a simple mix-up because /lib/modules/2.6.35-22-generic/ exists, but /lib/modules/2.6.35-22/ doesn't exist.

DickMc (rhm47) wrote :

I have the same problem and it is not a mix up as my message reads "modprobe: Fatal: Could not load /lib/modules/2.6.35-22-generic/modules.dep: no such file or directory". Note the message includes "generic" which is not included in the original bug report (I suspect due to an oversight versus the message being different.)

Mauro D'Aloisio (maurodaloisio) wrote :

I apologize; I have the same message of DickMc. I update the bug description

description: updated
Bernhard (b.a.koenig) wrote :

As for the mix-up: I get the following in the terminal

% update-initramfs -c -k 2.6.35 ~
update-initramfs: Generating /boot/initrd.img-2.6.35
touch: cannot touch `/boot/initrd.img-2.6.35.new': Permission denied
grep: /boot/config-2.6.35: No such file or directory
WARNING: missing /lib/modules/2.6.35
Device driver support needs thus be built-in linux image!
WARNING: Couldn't open directory /lib/modules/2.6.35: No such file or directory
FATAL: Could not open /lib/modules/2.6.35/modules.dep.temp for writing: No such file or directory
FATAL: Could not load /lib/modules/2.6.35/modules.dep: No such file or directory

Bernhard (b.a.koenig) wrote :

and maybe I should add

% update-initramfs -c -k 2.6.35-generic
update-initramfs: Generating /boot/initrd.img-2.6.35-generic
touch: cannot touch `/boot/initrd.img-2.6.35-generic.new': Permission denied
grep: /boot/config-2.6.35-generic: No such file or directory
WARNING: missing /lib/modules/2.6.35-generic
Device driver support needs thus be built-in linux image!
WARNING: Couldn't open directory /lib/modules/2.6.35-generic: No such file or directory
FATAL: Could not open /lib/modules/2.6.35-generic/modules.dep.temp for writing: No such file or directory
FATAL: Could not load /lib/modules/2.6.35-generic/modules.dep: No such file or directory

ramadasan7 (ramadasan7-gmail) wrote :

I have the same problem. But the OS works.

Andrew Betts (andrew-betts) wrote :

I felt this was a timing issue, so I set my cpu to a slower speed in the BIOS and this error message disappeared. (I still have other problems though, like bug #595321. I don't know if they are related.)

0N3_xyz (tophitter225) wrote :

I have the same problem as above although its not effecting me in anyway if anything just slowing down the boot time

summary: - Maverick could not load /lib/modules/2.6.35-22/modules.dep
+ Maverick could not load /lib/modules/2.6.35-22-generic/modules.dep
eric (obrowny06) wrote :

Same thing : modprobe: FATAL: Could not load /lib/modules/2.6.35-22-generic/modules.dep No such file or directory.
This happened after the update from lucid to maverick.
Everything seems to work except a very slow boot up and the panel disappears sometimes while loading a program with applications or system... No idea if it is related to this bug.

Same issue here.

Andrew Betts (andrew-betts) wrote :

This is fixed for me in kernel mainline v2.6.36-rc6-maverick

(https://wiki.ubuntu.com/Kernel/MainlineBuilds?action=show)

Gufo (thrasherxxx) wrote :

Same exact problem here.
i think we should wait the 2.6.36?

durlo (rsanver) wrote :

I have upgraded to 10.10-RC and I have the same problem. Running dmesg, I have noticed that there are several lines like this:

[ 17.588275] EXT4-fs (sda1): re-mounted. Opts: errors=remount-ro,commit=0

Can it be possible that modprobe is trying to read modules.dep while the FS is being re-mounted?

durlo (rsanver) wrote :

Sorry, my previous message was wrong; the error messages appear before the filesystem is mounted, so this lines aren't related to this bug.

Changed in linux (Ubuntu):
assignee: nobody → Youri De Bruycker (youri-de-bruycker)
larochea103 (larochea103) wrote :

j'ai le meme probleme

If I boot with nosmp, the problem seems to not happen. Back next normal boot.

description: updated
durlo (rsanver) wrote :

For me, booting with smp doesn't solve the problem.

Changed in linux (Ubuntu):
assignee: Youri De Bruycker (youri-de-bruycker) → nobody
max63 (maxime-chassagneux) wrote :

Same probleme on my netbook (KUBUNTU) with the 2.6.35-generic-pae kernel

Julien Aubin (gojulgarbmail) wrote :

Same problem for me with kernel 2.6.35-22-generic.

Hardware :
Mobo : Asus M2N-SLI Deluxe
CPU : AMD Phenom 9850
4 GB RAM
Graphic card : NVidia

Blaster (holst-niels) wrote :

Same problem running 2.6.35-22-generic. Started with 2.6.35-20 I think.

manzur (sl-solaris) wrote :

same problem in here

Ron Chapman (ronchap) wrote :

Just installed 10.10 with a bunch of updates after install. The updates did not fix this. Same problem here.
Hoping we have a clean boot on 10.10.10 release.

Omer Akram (om26er) wrote :

although the system boots just fine. but this bug ruins the boot experience for many. can anyone from the kernel team please have a say on this.

Changed in linux (Ubuntu):
assignee: nobody → Ubuntu Kernel Team (ubuntu-kernel-team)
Panos (pgalatis) wrote :

Same here folks. Updated from Maverick beta to RC (2.6.35-22-generic kernel). Running Ubuntu Maverick on a Lenovo X200s laptop.

Lucazade (lucazade) wrote :

Please stop with "Same here"
Doesn't add anything to the bug report, only send a lot of email notifications!

Bernhard (b.a.koenig) wrote :

Yes, just click the "affects me" button at the top of the page.

Yann (ylevot) wrote :

Same issue for me with Maverick RC on ASUS A6J laptop.

manzur (sl-solaris) wrote :

I hate when ubuntu goes 'Final Release' with this kind of errors

durlo (rsanver) wrote :

I have found a workaround that fixes the issue for me. I've edited the file /etc/initramfs-tools/initramfs.conf and I've changed the line MODULES=most to MODULES=dep. Then, I've reinstalled initramfs-tools and the error messages have disappeared.

Blaster (holst-niels) wrote :

@ #31: Thanks durlo. Worked for me too.

Yann (ylevot) wrote :

Thanks. Actually error messages have disappeared for me as well with your workaround, but boot time is still quite long and I've lost my mouse pointer with gdm :(
I've got this trace in dmesg:

[ 51.864127] Modules linked in: rfcomm binfmt_misc sco bnep l2cap parport_pc ppdev joydev snd_hda_codec_si3054 snd_hda_codec_realtek arc4 snd_hda_intel radeon snd_hda_codec snd_hwdep snd_pcm iwl3945 snd_seq_midi snd_rawmidi ttm snd_seq_midi_event iwlcore snd_seq pcmcia drm_kms_helper mac80211 snd_timer gspca_m5602 btusb snd_seq_device gspca_main firewire_ohci drm bluetooth videodev v4l1_compat r8169 sdhci_pci yenta_socket intel_agp firewire_core sdhci mii snd psmouse pcmcia_rsrc crc_itu_t serio_raw cfg80211 pcmcia_core i2c_algo_bit soundcore video snd_page_alloc agpgart output asus_laptop sparse_keymap led_class lp parport
[ 51.864238] Pid: 1028, comm: Xorg Not tainted 2.6.35-22-generic #33-Ubuntu
[ 51.864243] Call Trace:
[ 51.864258] [<c014ac52>] warn_slowpath_common+0x72/0xa0
[ 51.864292] [<f8b8c2de>] ? radeon_fence_wait+0x23e/0x290 [radeon]
[ 51.864326] [<f8b8c2de>] ? radeon_fence_wait+0x23e/0x290 [radeon]
[ 51.864335] [<c014ad23>] warn_slowpath_fmt+0x33/0x40
[ 51.864369] [<f8b8c2de>] radeon_fence_wait+0x23e/0x290 [radeon]
[ 51.864380] [<c0165e10>] ? autoremove_wake_function+0x0/0x50
[ 51.864414] [<f8b8ca01>] radeon_sync_obj_wait+0x11/0x20 [radeon]
[ 51.864430] [<f8a39e67>] ttm_bo_wait+0xe7/0x180 [ttm]
[ 51.864469] [<f8ba2049>] radeon_gem_wait_idle_ioctl+0x89/0x110 [radeon]
[ 51.864505] [<f86ac98d>] drm_ioctl+0x1ad/0x430 [drm]
[ 51.864530] [<f8ba1fc0>] ? radeon_gem_wait_idle_ioctl+0x0/0x110 [radeon]
[ 51.864538] [<c010afb2>] ? restore_i387_xstate+0xe2/0x210
[ 51.864544] [<c0226622>] vfs_ioctl+0x32/0xb0
[ 51.864557] [<f86ac7e0>] ? drm_ioctl+0x0/0x430 [drm]
[ 51.864562] [<c0226eb9>] do_vfs_ioctl+0x79/0x2d0
[ 51.864567] [<c01021d6>] ? restore_sigcontext+0xc6/0xe0
[ 51.864571] [<c0227177>] sys_ioctl+0x67/0x80
[ 51.864577] [<c05c90a4>] syscall_call+0x7/0xb
[ 51.864580] ---[ end trace cb6f809ca6822860 ]---
[ 52.021556] Failed to wait GUI idle while programming pipes. Bad things might happen.

Same here, running Ubuntu 10.10 Final.

Hadrien Titeux (hadware) wrote :

Same, running the final.
It did it on an updated-to-10.10 Thinkpad X200

Martitza (martitzam) wrote :

I also experience this exact bug on every boot since I updated from lucid to maverick.

Intel Core2 Duo E6850 @ 3GHz
2GiB RAM
booting from /dev/sdb1 per grub
x64 smp kernel 2.6.35-22-generic
nvidia graphics

Also maybe related is I get a really awful looking boot screen...even worse than it looked in lucid

Blaster (holst-niels) wrote :

Try to edit /etc/initramfs-tools/initramfs.conf (sudo gedit /etc/initramfs-tools/initramfs.conf in the console) and change the line MODULES=most to MODULES=dep.

Then use Synaptic to reinstall initramfs-tools like "durlo" suggested.

It's not perfect, but it works.

Same problem here..
Went from 10.04 to BETa.... no problems...then when i upgraded on 10/10 to Maverick, the same error above.

Thanks Blaster, your fix is working but boot up experience is long..*-(

Please work to fix it - thansk

Roberto Zedda (zedrob) wrote :

Fixed on latest 2.6.35-22. Thanks!

Alexander (porsche911) wrote :

The same problem.

I have tried to reinstall kernels using synaptic, but this message is still appears

Omer Akram (om26er) on 2010-10-12
Changed in linux (Ubuntu):
assignee: Ubuntu Kernel Team (ubuntu-kernel-team) → Canonical Kernel Team (canonical-kernel-team)
milestone: none → maverick-updates
tags: added: regression-release
Changed in linux:
status: New → Confirmed
126 comments hidden view all 206 comments

I forgot to say, I am using maverick amd64, upgraded from lucid.

abrianb (abrianb2003) wrote :

I did not have this problem the first time I installed Maverick on my thinkpad t-60. Last week I decided to upgrade the hard drive from a 5400 rpm seagate to a 7200 rpm hitachi and do a new install of maverick. After the new install I got the modprobe error on boot. My boot time went from 60 seconds with the seagate to 75 seconds with the hitachi.
 I installed the patched linux headers and image suggested by Andy Whitcroft and I no longer get the error on boot. Boot time is now 30 seconds. Thank you Andy!

Gerald Williams (off-wfam) wrote :

Affects my Toshiba A215-S7422 laptop. In addition to boot warnings, menus don't appear properly transparent and video artifacts appear.

Going back to latest stable kernel from 10.4 resolves all, recommended workarounds with initramfs and rebuilding modules.dep did not help. Haven't tried the backported kernel yet (have an AMD Turion64, was running 32-bit, didn't want to grab the wrong version).

Andy's patched kernel worked like a charm on my EEE PC 1001px, on which I
originally noticed the boot-time error message. On the netbook 10.10 was
installed in its own partition, separate from the bootable partition of the
system (which has 10.04 on it).

Thanks Andy, terrific work. I was also one of the early greasy-well
complainers about this bug, arguing that it's much more than merely
cosmetic. I still think that's true!

jds

On Thu, Jan 13, 2011 at 8:26 AM, Gerald Williams
<email address hidden>wrote:

> Affects my Toshiba A215-S7422 laptop. In addition to boot warnings,
> menus don't appear properly transparent and video artifacts appear.
>
> Going back to latest stable kernel from 10.4 resolves all, recommended
> workarounds with initramfs and rebuilding modules.dep did not help.
> Haven't tried the backported kernel yet (have an AMD Turion64, was
> running 32-bit, didn't want to grab the wrong version).
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/642421
>
> Title:
> Maverick could not load /lib/modules/2.6.35-22-generic/modules.dep
>
> Status in The Linux Kernel:
> Confirmed
> Status in “linux” package in Ubuntu:
> Confirmed
>
> Bug description:
> When I turn on my computer I can read this on my screen
>
> "modprobe: Fatal: Could not load
> /lib/modules/2.6.35-22-generic/modules.dep: no such file or directory"
>
> After 4-5 seconds, plymouth starts and the system works fine.
>
> salve, ho lo stesso problema, mi chiede la psw del portachiavi e poi
> rimane con lo schermo nero..ed è impossibile lavorare...! grazie
>
> hi, I have the same problem, I asked the psw keychain and then left
> with a black screen .. and it is impossible to work ...! thanks
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/linux/+bug/642421/+subscribe
>

Savvas Radevic (medigeek) wrote :

Thank you for your effort Andy! When can we expect the fix in the repos? :)

Joe Niski (joeniski) wrote :

The patch works for 64-bit Maverick me on my CLEVO:M570RU-1.00.04SL (a.k.a. Sager 5791, also packaged & reold by AlienWare) with a 2x Intel(R) Core(TM)2 Duo CPU T7700 @ 2.40GHz.

Boot time isn't noticeably faster, but the FATAL error is gone. Maverick has always been much slower to boot than Lucid on this machine.

Once i figured out to install headers-all before headers, it went smoothly - thanks so much for the patch!

lunix (bob-l-lewis) wrote :

>
> Once i figured out to install headers-all before headers, it went
> smoothly - thanks so much for the patch!
>
> --
>

I have been resisting putting the patch on as I share
this machine with others and I didn't want to upset anything or screw up in
the order. I suppose I could just boot from one of the other kernels if
something went wrong.

Perhaps someone who has been successful, apparently all of you might post an
extra procedure for those that are used to just going through the normal
update options.
Will this patch be released as an update?

I have a 64-bit machine. It looks like I need to install:
linux-image-2.6.35-25-generic_2.6.35-25.43lp642421v201101091714_amd64.deb

linux-headers-2.6.35-25_2.6.35-25.43lp642421v201101091714_all.deb

linux-headers-2.6.35-25-generic_2.6.35-25.43lp642421v201101091714_amd64.deb

Then do I reboot and come up on this and then apply the patch or apply the
patch straight away while running the older kernel?

0001-UBUNTU-SAUCE-ensure-root-is-ready-before-running-use.patch

Do I just type as root: patch
0001-UBUNTU-SAUCE-ensure-root-is-ready-before-running-use.patch

Does it matter what directory the above patch file is in when I run the
patch command?

John Stewart (cane-cubo) wrote :

I didn't use the patch command at all. I just installed the two header
files and the kernel using 'dpkg -i <file>', then rebooted. Grub will show
you the new kernel on the boot screen.

jds

On Sat, Jan 15, 2011 at 1:59 PM, lunix <email address hidden> wrote:

> >
> > Once i figured out to install headers-all before headers, it went
> > smoothly - thanks so much for the patch!
> >
> > --
> >
>
> I have been resisting putting the patch on as I share
> this machine with others and I didn't want to upset anything or screw up in
> the order. I suppose I could just boot from one of the other kernels if
> something went wrong.
>
> Perhaps someone who has been successful, apparently all of you might post
> an
> extra procedure for those that are used to just going through the normal
> update options.
> Will this patch be released as an update?
>
> I have a 64-bit machine. It looks like I need to install:
> linux-image-2.6.35-25-generic_2.6.35-25.43lp642421v201101091714_amd64.deb
>
> linux-headers-2.6.35-25_2.6.35-25.43lp642421v201101091714_all.deb
>
> linux-
> headers-2.6.35-25-generic_2.6.35-25.43lp642421v201101091714_amd64.deb
>
> Then do I reboot and come up on this and then apply the patch or apply the
> patch straight away while running the older kernel?
>
> 0001-UBUNTU-SAUCE-ensure-root-is-ready-before-running-use.patch
>
> Do I just type as root: patch
> 0001-UBUNTU-SAUCE-ensure-root-is-ready-before-running-use.patch
>
> Does it matter what directory the above patch file is in when I run the
> patch command?
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/642421
>
> Title:
> Maverick could not load /lib/modules/2.6.35-22-generic/modules.dep
>
> Status in The Linux Kernel:
> Confirmed
> Status in “linux” package in Ubuntu:
> Confirmed
>
> Bug description:
> When I turn on my computer I can read this on my screen
>
> "modprobe: Fatal: Could not load
> /lib/modules/2.6.35-22-generic/modules.dep: no such file or directory"
>
> After 4-5 seconds, plymouth starts and the system works fine.
>
> salve, ho lo stesso problema, mi chiede la psw del portachiavi e poi
> rimane con lo schermo nero..ed è impossibile lavorare...! grazie
>
> hi, I have the same problem, I asked the psw keychain and then left
> with a black screen .. and it is impossible to work ...! thanks
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/linux/+bug/642421/+subscribe
>

Download full text (3.9 KiB)

@Andy:

First, sorry for late answer.
Patch worked on AMD Turion64 X2 TL-50, Maverick upgraded from Lucid on
Compaq Presario V6131EU.
Didn't slow boot time.

Thanks a lot!

DT

2011/1/15, John Stewart <email address hidden>:
> I didn't use the patch command at all. I just installed the two header
> files and the kernel using 'dpkg -i <file>', then rebooted. Grub will show
> you the new kernel on the boot screen.
>
> jds
>
> On Sat, Jan 15, 2011 at 1:59 PM, lunix <email address hidden>
> wrote:
>
>> >
>> > Once i figured out to install headers-all before headers, it went
>> > smoothly - thanks so much for the patch!
>> >
>> > --
>> >
>>
>> I have been resisting putting the patch on as I share
>> this machine with others and I didn't want to upset anything or screw up
>> in
>> the order. I suppose I could just boot from one of the other kernels if
>> something went wrong.
>>
>> Perhaps someone who has been successful, apparently all of you might post
>> an
>> extra procedure for those that are used to just going through the normal
>> update options.
>> Will this patch be released as an update?
>>
>> I have a 64-bit machine. It looks like I need to install:
>> linux-image-2.6.35-25-generic_2.6.35-25.43lp642421v201101091714_amd64.deb
>>
>> linux-headers-2.6.35-25_2.6.35-25.43lp642421v201101091714_all.deb
>>
>> linux-
>> headers-2.6.35-25-generic_2.6.35-25.43lp642421v201101091714_amd64.deb
>>
>> Then do I reboot and come up on this and then apply the patch or apply the
>> patch straight away while running the older kernel?
>>
>> 0001-UBUNTU-SAUCE-ensure-root-is-ready-before-running-use.patch
>>
>> Do I just type as root: patch
>> 0001-UBUNTU-SAUCE-ensure-root-is-ready-before-running-use.patch
>>
>> Does it matter what directory the above patch file is in when I run the
>> patch command?
>>
>> --
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>> https://bugs.launchpad.net/bugs/642421
>>
>> Title:
>> Maverick could not load /lib/modules/2.6.35-22-generic/modules.dep
>>
>> Status in The Linux Kernel:
>> Confirmed
>> Status in “linux” package in Ubuntu:
>> Confirmed
>>
>> Bug description:
>> When I turn on my computer I can read this on my screen
>>
>> "modprobe: Fatal: Could not load
>> /lib/modules/2.6.35-22-generic/modules.dep: no such file or directory"
>>
>> After 4-5 seconds, plymouth starts and the system works fine.
>>
>> salve, ho lo stesso problema, mi chiede la psw del portachiavi e poi
>> rimane con lo schermo nero..ed è impossibile lavorare...! grazie
>>
>> hi, I have the same problem, I asked the psw keychain and then left
>> with a black screen .. and it is impossible to work ...! thanks
>>
>> To unsubscribe from this bug, go to:
>> https://bugs.launchpad.net/linux/+bug/642421/+subscribe
>>
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/642421
>
> Title:
> Maverick could not load /lib/modules/2.6.35-22-generic/modules.dep
>
> Status in The Linux Kernel:
> Confirmed
> Status in “linux” package in Ubuntu:
> Confirmed
>
> Bug description:
> When I turn on my computer I can read this o...

Read more...

lunix (bob-l-lewis) wrote :

I finally got up the nerve to add the kernel to my Intel based 64-bit system.
The error message is indeed gone. I got out a stop watch and the boot time
for me is 25-seconds prior and after the patch so no increase in speed booting
but I don't have to look at the error message any longer which is nice.
25-seconds booting is pretty phenomenal in my view.

Thanks Andy and sorry for the delay.

Bob

lecomte (le-comte) wrote :

I' have the same problem and read all your comments: it's all ok but can you detail how to install the patch?
Besides, which one I've to install considering my pc is an Acer TimeLineX Intel i3?
Thanks
Carlo

I have updated kernel to 2.6.35-25 today. It has had no effect for me. Strange...

Andy Whitcroft (apw) on 2011-01-27
Changed in linux (Ubuntu):
assignee: Canonical Kernel Team (canonical-kernel-team) → Andy Whitcroft (apw)
status: Confirmed → Fix Released
Changed in linux (Ubuntu Maverick):
assignee: nobody → Andy Whitcroft (apw)
importance: Undecided → Low
status: New → Fix Committed
Changed in linux (Ubuntu):
milestone: maverick-updates → none
Changed in linux (Ubuntu Maverick):
milestone: none → maverick-updates

It seems that 2.6.37 rc2 from mainline also fixes this bug, BTW it also boots up faster

Same as Martin: No more benefits with official kernel release update.
As I told before, patch worked on my laptop.

2011/1/28, Nikita Malyavin <email address hidden>:
> It seems that 2.6.37 rc2 from mainline also fixes this bug, BTW it also
> boots up faster
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/642421
>
> Title:
> Maverick could not load /lib/modules/2.6.35-22-generic/modules.dep
>
> Status in The Linux Kernel:
> Confirmed
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Maverick:
> Fix Committed
>
> Bug description:
> When I turn on my computer I can read this on my screen
>
> "modprobe: Fatal: Could not load
> /lib/modules/2.6.35-22-generic/modules.dep: no such file or directory"
>
> After 4-5 seconds, plymouth starts and the system works fine.
>
> salve, ho lo stesso problema, mi chiede la psw del portachiavi e poi
> rimane con lo schermo nero..ed è impossibile lavorare...! grazie
>
> hi, I have the same problem, I asked the psw keychain and then left
> with a black screen .. and it is impossible to work ...! thanks
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/linux/+bug/642421/+subscribe
>

--
Denis Turrina
Dottore in Sicurezza dei Sistemi e delle Reti Informatiche

"Il computer non è una macchina intelligente che aiuta le persone
stupide, anzi è una macchina stupida che funziona solo nelle mani
delle persone intelligenti" U. Eco

Willeo Soeurs (ding-yeen) wrote :

its weird that kernel 2.6.35.25 does not update my kernel at all

still stuck at 2.6.35.24

Oscar (mail4oscar) wrote :

Hi Guys,
I'm struggling with this issue for quite some time now. I think I tried every suggestion I found on the web (except reinstall.... that's not an option :-()
I'm using 10.10 on an Asus F70 laptop. Unlike most responders I get the "Fatal" error during boot, but the boot process does *not* continue at all!
After changing MODULES=most to MODULES=dep, the message did disappear, but I still cannot boot (booted late at night and next morning the system still wasn't there.... just to make sure nobady claims I'm impatient :-S). All I can do to get my system running, is boot the 2.6.32-26-generic; I'm having this issue with both 2.6.35 kernels. I don't dare to update to 2.6.35-25 since I can't afford to loose this system (or better; to loose the time I'ld need to setup my development environment again).

So in my opinion, this is a critical issue.....

Andy Whitcroft (apw) wrote :

On Mon, Feb 07, 2011 at 10:35:09AM -0000, Oscar wrote:
> Hi Guys,
> I'm struggling with this issue for quite some time now. I think I tried every suggestion I found on the web (except reinstall.... that's not an option :-()
> I'm using 10.10 on an Asus F70 laptop. Unlike most responders I get the "Fatal" error during boot, but the boot process does *not* continue at all!
> After changing MODULES=most to MODULES=dep, the message did disappear, but I still cannot boot (booted late at night and next morning the system still wasn't there.... just to make sure nobady claims I'm impatient :-S). All I can do to get my system running, is boot the 2.6.32-26-generic; I'm having this issue with both 2.6.35 kernels. I don't dare to update to 2.6.35-25 since I can't afford to loose this system (or better; to loose the time I'ld need to setup my development environment again).
>
> So in my opinion, this is a critical issue.....

If you managed to switch to MODULES=dep and the the messages were gone
but you still could not boot then that indicates you have a separate
issue and this kernel is not going to fix your issues. I would strongly
recommend you start your own bug with additional symtoms (Fatal message
etc) prominantly reported.

-apw

Oscar (mail4oscar) wrote :

Thnx for your answer Andy, but I'm afraid I need an extra hand filing a new but; the bug would contain something like "system won't boot"; all msgs I ever got is the 'modprobe: Fatal (...)'
There's no bootlog (since I can't boot the failing kernel, so any suggestions how I can gather more info? (sorry for being off-topic then :-S)

Andy, I wasn't able to install the headers/image deb files.

During the headers installation:
{{{
 linux-headers-2.6.35-25-generic depends on linux-headers-2.6.35-25; however:
  Package linux-headers-2.6.35-25 is not installed.
dpkg: error processing linux-headers-2.6.35-25-generic (--install):
 dependency problems - leaving unconfigured
}}}

During the image installation:
{{{
 linux-headers-2.6.35-25-generic depends on linux-headers-2.6.35-25; however:
  Package linux-headers-2.6.35-25 is not installed.
dpkg: error processing linux-headers-2.6.35-25-generic (--install):
 dependency problems - leaving unconfigured
}}}

Full text: http://tinypaste.com/40b51d

correction:
During the image installation:
{{{
-2.6.35-25-generic
 * dkms: running auto installation service for kernel 2.6.35-25-generic
 * virtualbox-ose (3.2.8)... [fail]
 * nvidia-current (260.19.06)... [fail]
}}}

sigh, sorry, i had some bad copy/paste output in the previous tinypaste, proper: http://tinypaste.com/9064c

Omer Akram (om26er) wrote :

matt, you also have to install this
http://people.canonical.com/~apw/lp642421-maverick/linux-headers-2.6.35-25_2.6.35-25.43lp642421v201101091714_all.debat
the same time.

On Sun, Feb 20, 2011 at 11:55 AM, matt_callaghan
<email address hidden>wrote:

> sigh, sorry, i had some bad copy/paste output in the previous tinypaste,
> proper: http://tinypaste.com/9064c
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/642421
>
> Title:
> Maverick could not load /lib/modules/2.6.35-22-generic/modules.dep
>
> Status in The Linux Kernel:
> Confirmed
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Maverick:
> Fix Committed
>
> Bug description:
> When I turn on my computer I can read this on my screen
>
> "modprobe: Fatal: Could not load
> /lib/modules/2.6.35-22-generic/modules.dep: no such file or directory"
>
> After 4-5 seconds, plymouth starts and the system works fine.
>
> salve, ho lo stesso problema, mi chiede la psw del portachiavi e poi
> rimane con lo schermo nero..ed è impossibile lavorare...! grazie
>
> hi, I have the same problem, I asked the psw keychain and then left
> with a black screen .. and it is impossible to work ...! thanks
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/linux/+bug/642421/+subscribe
>

Thanks Omer, good call! On i386, installing these three worked:
{{{
linux-headers-2.6.35-25_2.6.35-25.43lp642421v201101091714_all.deb
linux-headers-2.6.35-25-generic_2.6.35-25.43lp642421v201101091714_i386.deb
linux-image-2.6.35-25-generic_2.6.35-25.43lp642421v201101091714_i386.deb
}}}

Curious; now that we've manually added these linux-headers/image, will ubuntu auto-update upgrade us automatically once a later kernel is released upstream?

bah; comment spamming (sorry).

I did:
 1) installed the patched kernel/images/headers, seemed flawless.
 2) rebooted, yay! was fixed. the "shiny" ubuntu logo appears as expected, and there were no FATAL messages.
 3) ubuntu prompted me for a whack of updates (it looked like several applications needed to be updated w/ the newer kernel)
 4) rebooted, darn. got the same error as before. ... FATAL message present again.

John Stewart (cane-cubo) wrote :

Sorry if this is an obvious question, but are you sure you rebooted from the
patched kernel and not some updated ubuntu kernel?

jds

On Sun, Feb 20, 2011 at 6:02 PM, matt_callaghan
<email address hidden>wrote:

> bah; comment spamming (sorry).
>
> I did:
> 1) installed the patched kernel/images/headers, seemed flawless.
> 2) rebooted, yay! was fixed. the "shiny" ubuntu logo appears as expected,
> and there were no FATAL messages.
> 3) ubuntu prompted me for a whack of updates (it looked like several
> applications needed to be updated w/ the newer kernel)
> 4) rebooted, darn. got the same error as before. ... FATAL message
> present again.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/642421
>
> Title:
> Maverick could not load /lib/modules/2.6.35-22-generic/modules.dep
>
> Status in The Linux Kernel:
> Confirmed
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Maverick:
> Fix Committed
>
> Bug description:
> When I turn on my computer I can read this on my screen
>
> "modprobe: Fatal: Could not load
> /lib/modules/2.6.35-22-generic/modules.dep: no such file or directory"
>
> After 4-5 seconds, plymouth starts and the system works fine.
>
> salve, ho lo stesso problema, mi chiede la psw del portachiavi e poi
> rimane con lo schermo nero..ed è impossibile lavorare...! grazie
>
> hi, I have the same problem, I asked the psw keychain and then left
> with a black screen .. and it is impossible to work ...! thanks
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/linux/+bug/642421/+subscribe
>

Yeah it auto updates grub, and it was the new default.
Plus, after the reboot, when ubuntu wanted to update packages, the
kernel version was the new one.

-------- Original Message --------
From: John Stewart <email address hidden>
Sent: Sun 20 Feb 2011 07:48:57 PM EST
To: <email address hidden>
Cc:
Subject: Re: [Bug 642421] Re: Maverick could not load
/lib/modules/2.6.35-22-generic/modules.dep

Sorry if this is an obvious question, but are you sure you rebooted from the
patched kernel and not some updated ubuntu kernel?

jds

On Sun, Feb 20, 2011 at 6:02 PM, matt_callaghan
<email address hidden>wrote:

bah; comment spamming (sorry).

I did:
   1) installed the patched kernel/images/headers, seemed flawless.
   2) rebooted, yay! was fixed. the "shiny" ubuntu logo appears as
expected,
and there were no FATAL messages.
   3) ubuntu prompted me for a whack of updates (it looked like several
applications needed to be updated w/ the newer kernel)
   4) rebooted, darn. got the same error as before. ... FATAL message
present again.

--
You received this bug notification because you are a direct subscriber
of the bug.
https://bugs.launchpad.net/bugs/642421

Title:
   Maverick could not load /lib/modules/2.6.35-22-generic/modules.dep

Status in The Linux Kernel:
   Confirmed
Status in “linux” package in Ubuntu:
   Fix Released
Status in “linux” source package in Maverick:
   Fix Committed

Bug description:
   When I turn on my computer I can read this on my screen

   "modprobe: Fatal: Could not load
   /lib/modules/2.6.35-22-generic/modules.dep: no such file or directory"

   After 4-5 seconds, plymouth starts and the system works fine.

   salve, ho lo stesso problema, mi chiede la psw del portachiavi e poi
   rimane con lo schermo nero..ed è impossibile lavorare...! grazie

   hi, I have the same problem, I asked the psw keychain and then left
   with a black screen .. and it is impossible to work ...! thanks

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/linux/+bug/642421/+subscribe

Download full text (3.3 KiB)

I've had the same issue - installed the patch, it worked fine until a recent
set of updates, now seeing the FATAL message on startup again.
On Feb 20, 2011 5:20 PM, "matt_callaghan" <email address hidden> wrote:
> Yeah it auto updates grub, and it was the new default.
> Plus, after the reboot, when ubuntu wanted to update packages, the
> kernel version was the new one.
>
> -------- Original Message --------
> From: John Stewart <email address hidden>
> Sent: Sun 20 Feb 2011 07:48:57 PM EST
> To: <email address hidden>
> Cc:
> Subject: Re: [Bug 642421] Re: Maverick could not load
> /lib/modules/2.6.35-22-generic/modules.dep
>
>
> Sorry if this is an obvious question, but are you sure you rebooted from
the
> patched kernel and not some updated ubuntu kernel?
>
> jds
>
> On Sun, Feb 20, 2011 at 6:02 PM, matt_callaghan
> <email address hidden>wrote:
>
> bah; comment spamming (sorry).
>
> I did:
> 1) installed the patched kernel/images/headers, seemed flawless.
> 2) rebooted, yay! was fixed. the "shiny" ubuntu logo appears as
> expected,
> and there were no FATAL messages.
> 3) ubuntu prompted me for a whack of updates (it looked like several
> applications needed to be updated w/ the newer kernel)
> 4) rebooted, darn. got the same error as before. ... FATAL message
> present again.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/642421
>
> Title:
> Maverick could not load /lib/modules/2.6.35-22-generic/modules.dep
>
> Status in The Linux Kernel:
> Confirmed
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Maverick:
> Fix Committed
>
> Bug description:
> When I turn on my computer I can read this on my screen
>
> "modprobe: Fatal: Could not load
> /lib/modules/2.6.35-22-generic/modules.dep: no such file or directory"
>
> After 4-5 seconds, plymouth starts and the system works fine.
>
> salve, ho lo stesso problema, mi chiede la psw del portachiavi e poi
> rimane con lo schermo nero..ed è impossibile lavorare...! grazie
>
> hi, I have the same problem, I asked the psw keychain and then left
> with a black screen .. and it is impossible to work ...! thanks
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/linux/+bug/642421/+subscribe
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/642421
>
> Title:
> Maverick could not load /lib/modules/2.6.35-22-generic/modules.dep
>
> Status in The Linux Kernel:
> Confirmed
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Maverick:
> Fix Committed
>
> Bug description:
> When I turn on my computer I can read this on my screen
>
> "modprobe: Fatal: Could not load
> /lib/modules/2.6.35-22-generic/modules.dep: no such file or directory"
>
> After 4-5 seconds, plymouth starts and the system works fine.
>
> salve, ho lo stesso problema, mi chiede la psw del portachiavi e poi
> rimane con lo schermo nero..ed è impossibile lavorare...! grazie
>
> hi, I have the same problem, I asked the psw keychain and then left
> with a black screen .. and...

Read more...

Changed in linux:
assignee: nobody → Pöbelgott (onelovebooking)
Wayne Stark (wastark-gmail) wrote :

Same problem for me using kernel 2.6.35.25.
I found that installing kernel 2.6.35.11 from http://kernel.ubuntu.com/~kernel-ppa/mainline/ solved the problem.
Strange because I thought the 2 kernels corresponded to one another, but either way it worked.

Jeanke (jeanke14) wrote :

Problem was solved for me with installation of kernel 2.6.35.28.

Note: kernel 2.6.35.28 was patched as explained on http://ubuntuforums.org/showthread.php?t=1594981&page=9 (related to bug 636045) but don't think this is related anyhow.

Andy Whitcroft (apw) wrote :

Closing Maverick tasks Fix Released as the issue which triggers this message is now patched for Maverick.

Changed in linux (Ubuntu Maverick):
status: Fix Committed → Fix Released
Sree15081947 (sree15081947) wrote :

Hi friends, once me also disturbed because of the same problem. this can be avoid by reinstalling the following files http://people.canonical.com/~apw/lp642421-maverick/
just check...
thanks.

Downloaded regular kernel update today which is 2.6.35-27 and this has fixed my problem, error mess has now gone when booting - thanks

Larry Whitehead (llw8008) wrote :

I upgraded both of my computers with the regular kernel update last night
and things are looking much better now with 2.6.35-27. Thanks and best
regards.

On Sat, Mar 5, 2011 at 8:49 AM, Stuart Ledwich <email address hidden>wrote:

> Downloaded regular kernel update today which is 2.6.35-27 and this has
> fixed my problem, error mess has now gone when booting - thanks
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/642421
>
> Title:
> Maverick could not load /lib/modules/2.6.35-22-generic/modules.dep
>
> Status in The Linux Kernel:
> Confirmed
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Maverick:
> Fix Released
>
> Bug description:
> When I turn on my computer I can read this on my screen
>
> "modprobe: Fatal: Could not load
> /lib/modules/2.6.35-22-generic/modules.dep: no such file or directory"
>
> After 4-5 seconds, plymouth starts and the system works fine.
>
> salve, ho lo stesso problema, mi chiede la psw del portachiavi e poi
> rimane con lo schermo nero..ed è impossibile lavorare...! grazie
>
> hi, I have the same problem, I asked the psw keychain and then left
> with a black screen .. and it is impossible to work ...! thanks
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/linux/+bug/642421/+subscribe
>

Same here, regular kernel update fixes the bug.
Kind regards.

2011/3/5, Larry Whitehead <email address hidden>:
> I upgraded both of my computers with the regular kernel update last night
> and things are looking much better now with 2.6.35-27. Thanks and best
> regards.
>
>
> On Sat, Mar 5, 2011 at 8:49 AM, Stuart Ledwich
> <email address hidden>wrote:
>
>> Downloaded regular kernel update today which is 2.6.35-27 and this has
>> fixed my problem, error mess has now gone when booting - thanks
>>
>> --
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>> https://bugs.launchpad.net/bugs/642421
>>
>> Title:
>> Maverick could not load /lib/modules/2.6.35-22-generic/modules.dep
>>
>> Status in The Linux Kernel:
>> Confirmed
>> Status in “linux” package in Ubuntu:
>> Fix Released
>> Status in “linux” source package in Maverick:
>> Fix Released
>>
>> Bug description:
>> When I turn on my computer I can read this on my screen
>>
>> "modprobe: Fatal: Could not load
>> /lib/modules/2.6.35-22-generic/modules.dep: no such file or directory"
>>
>> After 4-5 seconds, plymouth starts and the system works fine.
>>
>> salve, ho lo stesso problema, mi chiede la psw del portachiavi e poi
>> rimane con lo schermo nero..ed è impossibile lavorare...! grazie
>>
>> hi, I have the same problem, I asked the psw keychain and then left
>> with a black screen .. and it is impossible to work ...! thanks
>>
>> To unsubscribe from this bug, go to:
>> https://bugs.launchpad.net/linux/+bug/642421/+subscribe
>>
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/642421
>
> Title:
> Maverick could not load /lib/modules/2.6.35-22-generic/modules.dep
>
> Status in The Linux Kernel:
> Confirmed
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Maverick:
> Fix Released
>
> Bug description:
> When I turn on my computer I can read this on my screen
>
> "modprobe: Fatal: Could not load
> /lib/modules/2.6.35-22-generic/modules.dep: no such file or directory"
>
> After 4-5 seconds, plymouth starts and the system works fine.
>
> salve, ho lo stesso problema, mi chiede la psw del portachiavi e poi
> rimane con lo schermo nero..ed è impossibile lavorare...! grazie
>
> hi, I have the same problem, I asked the psw keychain and then left
> with a black screen .. and it is impossible to work ...! thanks
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/linux/+bug/642421/+subscribe
>

--
Denis Turrina
Dottore in Sicurezza dei Sistemi e delle Reti Informatiche
Computer systems and networks security B.Sc.

"Il computer non è una macchina intelligente che aiuta le persone
stupide, anzi è una macchina stupida che funziona solo nelle mani
delle persone intelligenti" U. Eco

"Computer is not an intelligent machine that helps stupid people, on
the contrary it is a stupid machine that works only in intelligent
people's hands" U. Eco

Verified with 2.6.35.28.

NOTE: Due to the workarounds supplied above, I was no longer getting automatic kernel updates. Apparently, when the above workaround failed, and I reverted the manual installation of that kernel, I accidentally removed the wrapper packages to get the latest kernel (linux-image-generic linux-headers-generic)

{{{
callaghan@family:~$ dpkg -l 'linux-image*'

||/ Name Version Description
+++-========================-========================-================================================================
un linux-image <none> (no description available)
un linux-image-2.6 <none> (no description available)
ii linux-image-2.6.35-22-ge 2.6.35-22.35 Linux kernel image for version 2.6.35 on x86/x86_64
rc linux-image-2.6.35-25-ge 2.6.35-25.44 Linux kernel image for version 2.6.35 on x86/x86_64
un linux-image-generic 2.6.35.28.36 Generic Linux kernel image
}}}

{{{
callaghan@family:~$ dpkg --list linux-headers-*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Description
+++-=================================-=================================-==================================================================================
un linux-headers-2.6 <none> (no description available)
un linux-headers-2.6-686 <none> (no description available)
un linux-headers-2.6-amd64 <none> (no description available)
ii linux-headers-2.6.35-22 2.6.35-22.35 Header files related to Linux kernel version 2.6.35
ii linux-headers-2.6.35-22-generic 2.6.35-22.35 Linux kernel headers for version 2.6.35 on x86/x86_64
un linux-headers-2.6.35-25 <none> (no description available)
un linux-headers-2.6.35-25-generic <none> (no description available)
un linux-headers-generic 2.6.35.28.36 Generic Linux kernel headers
}}}

In order to get automatic kernel updates again, I had to do:
{{{
sudo apt-get install linux-image-generic linux-headers-generic
}}}

Credit: trism on IRC (freenode, #ubuntu)

Andrew Somerville (andy16666) wrote :

I just wanted to point out that whatever fixed this bug could possibly be causing a random freeze-up I've been having during boot ever since I updated from 2.6.35-25. I've reported this issue as bug #771418, but I'm posting here as it may be related.

modprobe -d *
FATAL: Could not load Bureau/lib/modules/3.11.0-19-generic/modules.dep: No such file or directory

uname -r
3.11.0-19-generic

sudo update-initramfs -c -k 3.11.0-19-generic
update-initramfs: Generating /boot/initrd.img-3.11.0-19-generic
Found in: http://www.linuxquestions.org/questions/debian-26/modprobe-fatal-could-not-load-lib-modules-modules-dep-335214/

Don't know how to put it on.

modinfo i915 | grep filename
filename: /lib/modules/3.11.0-19-generic/kernel/drivers/gpu/drm/i915/i915.ko

Oh it has changed ?!

locate modules.dep
/lib/modules/3.11.0-15-generic/modules.dep
/lib/modules/3.11.0-15-generic/modules.dep.bin
/usr/share/man/man5/modules.dep.5.gz
/usr/share/man/man5/modules.dep.bin.5.gz

fairy@tales:/$ modprobe -d *
FATAL: Could not load bin/lib/modules/3.11.0-19-generic/modules.dep: No such file or directory

I'm on Precise.

cd /lib/modules/3.11.0-19-generic/build/lib/modules/3.11.0-19-generic/
bash: cd: /lib/modules/3.11.0-19-generic/build/lib/modules/3.11.0-19-generic/: Aucun fichier ou dossier de ce type

cd /lib/modules/3.11.0-19-generic/build/lib/modules/
bash: cd: /lib/modules/3.11.0-19-generic/build/lib/modules/: Aucun fichier ou dossier de ce type

cd /lib/modules/
ls
cd ./3.11.0-19-generic/
cd ./build
cd ./lib
ls
fonts Kconfig Kconfig.debug Kconfig.kgdb Kconfig.kmemcheck lz4 lzo Makefile mpi raid6 reed_solomon xz zlib_deflate zlib_inflate

cd ./modules
bash: cd: ./modules: Aucun fichier ou dossier de ce type

Je ne comprends plus rien. Aucune idée de ce que je fais là:

fairy@tales:/lib/modules/3.11.0-19-generic/build/lib$ make
make: *** Pas de règle pour fabriquer la cible « /gen_crc32table », nécessaire pour « /crc32table.h ». Arrêt.

cd /lib/modules/3.11.0-15-generic/build/lib
ls
fonts Kconfig Kconfig.debug Kconfig.kgdb Kconfig.kmemcheck lz4 lzo Makefile mpi raid6 reed_solomon xz zlib_deflate zlib_inflate
fairy@tales:/lib/modules/3.11.0-15-generic/build/lib$ make
make: *** Pas de règle pour fabriquer la cible « /gen_crc32table », nécessaire pour « /crc32table.h ». Arrêt.

modprobe -d *
FATAL: Could not load fonts/lib/modules/3.11.0-19-generic/modules.dep: No such file or directory

Displaying first 40 and last 40 comments. View all 206 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments